# DeepWave

### An Anchor CMS Theme

By Patrick Khoo

DeepWave is a modern theme for Anchor CMS, but includes many advanced features without sacrificing simplicity. The theme is focused on the content, but metadata and other information of interest to the reader is not far away. The code is well documented and flexible.

[Download DeepWave Theme](http://www.deepwave.net/dwfiles/articles/deepwave-theme-110.20161128.zip 'file')

### Advanced Features

* Tags support in both Posts (Articles) and Pages, including Tag Cloud
* Global Search across all Post/Page content, titles and descriptions simultaneously.
	**NOTE:** Yes, it is true that the pagination is a bit messed up, but to fix the pagination would mean a lot more modification of Anchor's underlying code, and I would prefer to keep it as clean as possible to make upgrades easier.
* Anti-Spam Honeypot for comment form
* Custom extensions to Markdown syntax. 
	See examples of the custom Markdown syntax at: <http://www.deepwave.net/articles/ref-deepwave-markdown-syntax>
* Links to major Social Media sharing options on both Posts and Pages
* Automatically open all offsite links in new tab/window
* Supports custom images (hard coded) based on website sections (top-level slugs)
* Quick edit links on both Posts and Pages for easy management
* **Bonus!** [Manic Depressive Web Server](http://www.deepwave.net/nosuchfile) included!

### Changelog

Version: 110.20161128

* Updated to Support Anchor 0.12.1

Version: 100.20140214

* Initial Release for Anchor 0.92

### References and Credits:

This theme is based heavily on "Bushwick" by James Dinsdale, without which, this would not have been possible. I have stood on the shoulders of giants in order to reach the stars.

* <http://bushwick.molovo.co.uk>
* <http://hi.srccd.com/post/thats-right-tags-in-anchor>
* <http://hi.srccd.com/post/look-in-the-sky>
* <http://www.sitepoint.com/social-media-button-links/>

### Additional (optional) meta fields:

	Posts
	- Name: tags
	- Type: text

	Pages
	- Name: tags
	- Type: text

### Modifications to Anchor CMS

* Copy files to replace originals from the anchor-mods folder.
* Tested on Anchor CMS version 0.92, 0.12.1

### License

Copyright (C) 2014,2016 Patrick Khoo <http://www.deepwave.net/>

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
